<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
require("conexion/conectar.php");

$conexion = new CONDB();
$conexion->conectar();

if(isset($_POST["rfcEmisor"]))
{
			$rfcEmisor=$_REQUEST["rfcEmisor"];
			$tipoDocto=$_REQUEST["tipoDocto"];
			$serie=$_REQUEST["serie"];
			$folio=$_REQUEST["folio"];
			$uuid=$_REQUEST["uuid"];
			$adicional=$_REQUEST["adicional"];
			$comentario_compras=$_REQUEST["comentario_compras"];
			$comentario_contabilidad=$_REQUEST["comentario_contabilidad"];
			$seguimiento=$_REQUEST["seguimiento"];
			$tipo_documento=$_REQUEST["tipo_documento"];
			$fecha_pago=$_REQUEST["fecha_pago"];
                        $asignado_a=$_REQUEST['asignado_a'];
                        
                            if(trim($asignado_a) != "" && !validaUser($asignado_a)){
                                
                                ?><script>alert('El usuario no existe.');</script><?
                                exit;
                            }
}


$query="update recibedoce set asignado_a='$asignado_a',fecha_pago='$fecha_pago', tipo_documento='$tipo_documento', seguimiento='$seguimiento', adicional='$adicional', comentario_compras='$comentario_compras', comentario_contabilidad='$comentario_contabilidad' where rfcEmisor='$rfcEmisor' and tipoDocto='$tipoDocto' and serie='$serie' and folio='$folio' and uuid='$uid'";

$rquery = mysqli_query($conexion->CONEXION,$query);
$noError=mysqli_error($conexion->CONEXION);
$error='No se pudo actualizar. Vuelva a intentarlo';

			
if($noError != 0)
	echo "ERROR:".$error;
else{
	echo "Actualizaci&oacute;n correcta.";
	?><script>$j_6("#buscarRecibe").click();</script><?
}

function validaUser($usuario){
	global $conexion;
    $query="select * from usuariosweb where username='".$usuario."'";
    
    $rquery = mysqli_query($conexion->CONEXION,$query);
    
    if(mysqli_num_rows($rquery) > 0){
            return true;
    }else{
            return false;
    }
}
?>